xref: /freebsd/contrib/ntp/sntp/libopts/ao-strs.c (revision 276da39af92f48350aa01091a2b8b3e735217eea)
12b15cb3dSCy Schubert /*  -*- buffer-read-only: t -*- vi: set ro:
22b15cb3dSCy Schubert  *
32b15cb3dSCy Schubert  * DO NOT EDIT THIS FILE   (ao-strs.c)
42b15cb3dSCy Schubert  *
5*276da39aSCy Schubert  * It has been AutoGen-ed
62b15cb3dSCy Schubert  * From the definitions    ao-strs.def
72b15cb3dSCy Schubert  * and the template file   strings
82b15cb3dSCy Schubert  *
9*276da39aSCy Schubert  *  Copyright (C) 2011-2015 Bruce Korb, all rights reserved.
102b15cb3dSCy Schubert  *  This is free software. It is licensed for use, modification and
112b15cb3dSCy Schubert  *  redistribution under the terms of the
122b15cb3dSCy Schubert  *  Modified (3 clause) Berkeley Software Distribution License
132b15cb3dSCy Schubert  *  <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
142b15cb3dSCy Schubert  *
152b15cb3dSCy Schubert  *  Redistribution and use in source and binary forms, with or without
162b15cb3dSCy Schubert  *  modification, are permitted provided that the following conditions
172b15cb3dSCy Schubert  *  are met:
182b15cb3dSCy Schubert  *  1. Redistributions of source code must retain the above copyright
192b15cb3dSCy Schubert  *     notice, this list of conditions and the following disclaimer.
202b15cb3dSCy Schubert  *  2. Redistributions in binary form must reproduce the above copyright
212b15cb3dSCy Schubert  *     notice, this list of conditions and the following disclaimer in the
222b15cb3dSCy Schubert  *     documentation and/or other materials provided with the distribution.
232b15cb3dSCy Schubert  *  3. Neither the name ``Bruce Korb'' nor the name of any other
242b15cb3dSCy Schubert  *     contributor may be used to endorse or promote products derived
252b15cb3dSCy Schubert  *     from this software without specific prior written permission.
262b15cb3dSCy Schubert  *
272b15cb3dSCy Schubert  *  strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
282b15cb3dSCy Schubert  *  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
292b15cb3dSCy Schubert  *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
302b15cb3dSCy Schubert  *  ARE DISCLAIMED.  IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
312b15cb3dSCy Schubert  *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
322b15cb3dSCy Schubert  *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
332b15cb3dSCy Schubert  *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
342b15cb3dSCy Schubert  *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
352b15cb3dSCy Schubert  *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
362b15cb3dSCy Schubert  *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
372b15cb3dSCy Schubert  *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
382b15cb3dSCy Schubert  */
392b15cb3dSCy Schubert #include "ao-strs.h"
402b15cb3dSCy Schubert 
412b15cb3dSCy Schubert char const ao_strs_strtable[6633] =
422b15cb3dSCy Schubert /*     0 */ "-_^\0"
432b15cb3dSCy Schubert /*     4 */ "  %s%s\n\0"
442b15cb3dSCy Schubert /*    12 */ "auto-options\0"
452b15cb3dSCy Schubert /*    25 */ "program\0"
462b15cb3dSCy Schubert /*    33 */ "%%-%ds %%s\n\0"
472b15cb3dSCy Schubert /*    45 */ "\n"
482b15cb3dSCy Schubert             "%s\n\n\0"
492b15cb3dSCy Schubert /*    51 */ "=file\0"
502b15cb3dSCy Schubert /*    57 */ "=Mbr\0"
512b15cb3dSCy Schubert /*    62 */ "=Cplx\0"
522b15cb3dSCy Schubert /*    68 */ "[=arg]\0"
532b15cb3dSCy Schubert /*    75 */ "--%2$s%1$s\0"
542b15cb3dSCy Schubert /*    86 */ "=Tim\0"
552b15cb3dSCy Schubert /*    91 */ "none\0"
562b15cb3dSCy Schubert /*    96 */ "#  preset/initialization file\n"
572b15cb3dSCy Schubert             "#  %s#\n\0"
582b15cb3dSCy Schubert /*   134 */ " %3s %-14s %s\0"
592b15cb3dSCy Schubert /*   148 */ "%s\0"
602b15cb3dSCy Schubert /*   151 */ "T/F\0"
612b15cb3dSCy Schubert /*   155 */ "\n"
622b15cb3dSCy Schubert             "%s\n\n"
632b15cb3dSCy Schubert             "%s\0"
642b15cb3dSCy Schubert /*   163 */ "Fil\0"
652b15cb3dSCy Schubert /*   167 */ "KWd\0"
662b15cb3dSCy Schubert /*   171 */ "Mbr\0"
672b15cb3dSCy Schubert /*   175 */ "Cpx\0"
682b15cb3dSCy Schubert /*   179 */ "no \0"
692b15cb3dSCy Schubert /*   183 */ "Num\0"
702b15cb3dSCy Schubert /*   187 */ "opt\0"
712b15cb3dSCy Schubert /*   191 */ "YES\0"
722b15cb3dSCy Schubert /*   195 */ "Str\0"
732b15cb3dSCy Schubert /*   199 */ "Tim\0"
742b15cb3dSCy Schubert /*   203 */ "\t\t\t\t- \0"
752b15cb3dSCy Schubert /*   210 */ "\t\t\t\t  \0"
762b15cb3dSCy Schubert /*   217 */ "\t\t\t\t-- and \0"
772b15cb3dSCy Schubert /*   229 */ "\t\t\t\t%s\n\0"
782b15cb3dSCy Schubert /*   237 */ "      \0"
792b15cb3dSCy Schubert /*   244 */ "     \0"
802b15cb3dSCy Schubert /*   250 */ "   \0"
812b15cb3dSCy Schubert /*   254 */ "  \0"
822b15cb3dSCy Schubert /*   257 */ "all\0"
832b15cb3dSCy Schubert /*   261 */ " \t\n"
842b15cb3dSCy Schubert             ":=\0"
852b15cb3dSCy Schubert /*   267 */ "%s_%s_%d=\0"
862b15cb3dSCy Schubert /*   277 */ "''\0"
872b15cb3dSCy Schubert /*   280 */ "        ;;\n\n\0"
882b15cb3dSCy Schubert /*   293 */ "'\n\n\0"
892b15cb3dSCy Schubert /*   297 */ "</%s>\n\0"
902b15cb3dSCy Schubert /*   304 */ "  %s\n\0"
912b15cb3dSCy Schubert /*   310 */ "%%-%ds\0"
922b15cb3dSCy Schubert /*   317 */ "\n"
932b15cb3dSCy Schubert             "export %s_%s_%d\n\0"
942b15cb3dSCy Schubert /*   335 */ "false\0"
952b15cb3dSCy Schubert /*   341 */ "    -* )\n\0"
962b15cb3dSCy Schubert /*   351 */ "flag\0"
972b15cb3dSCy Schubert /*   356 */ "INVALID-%d\0"
982b15cb3dSCy Schubert /*   367 */ "*INVALID*\0"
992b15cb3dSCy Schubert /*   377 */ "\\n\\\n\0"
1002b15cb3dSCy Schubert /*   382 */ "    --* )\n\0"
1012b15cb3dSCy Schubert /*   393 */ "--\0"
1022b15cb3dSCy Schubert /*   396 */ "LONGUSAGE\0"
1032b15cb3dSCy Schubert /*   406 */ "            %s\n\0"
1042b15cb3dSCy Schubert /*   422 */ "\\%03o\0"
1052b15cb3dSCy Schubert /*   428 */ "more\0"
1062b15cb3dSCy Schubert /*   433 */ "<%s type=nested>\n\0"
1072b15cb3dSCy Schubert /*   451 */ "%s\n\0"
1082b15cb3dSCy Schubert /*   455 */ "%s\n"
1092b15cb3dSCy Schubert             "  \0"
1102b15cb3dSCy Schubert /*   461 */ "OPT_ARG_NEEDED=NO\0"
1112b15cb3dSCy Schubert /*   479 */ "<%s/>\n\0"
1122b15cb3dSCy Schubert /*   486 */ "OPT_ARG_NEEDED=OK\0"
1132b15cb3dSCy Schubert /*   504 */ "\t\0"
1142b15cb3dSCy Schubert /*   506 */ "<%s>\0"
1152b15cb3dSCy Schubert /*   511 */ "option\0"
1162b15cb3dSCy Schubert /*   518 */ "\n"
1172b15cb3dSCy Schubert             "export %s_%s\n\0"
1182b15cb3dSCy Schubert /*   533 */ "%s_%s=\0"
1192b15cb3dSCy Schubert /*   540 */ " | \0"
1202b15cb3dSCy Schubert /*   544 */ "PAGER\0"
1212b15cb3dSCy Schubert /*   550 */ " + \0"
1222b15cb3dSCy Schubert /*   554 */ "  puts(_(%s));\n\0"
1232b15cb3dSCy Schubert /*   570 */ "\\'\0"
1242b15cb3dSCy Schubert /*   573 */ "'%s'\0"
1252b15cb3dSCy Schubert /*   578 */ " -- %s\0"
1262b15cb3dSCy Schubert /*   585 */ "%s_%s_TEXT='\0"
1272b15cb3dSCy Schubert /*   598 */ "#! %s\n\0"
1282b15cb3dSCy Schubert /*   605 */ "\n"
1292b15cb3dSCy Schubert             "env | grep '^%s_'\n\0"
1302b15cb3dSCy Schubert /*   625 */ "=%1$lu # 0x%1$lX\n\0"
1312b15cb3dSCy Schubert /*   643 */ "stdout\0"
1322b15cb3dSCy Schubert /*   650 */ "%A %B %e, %Y at %r %Z\0"
1332b15cb3dSCy Schubert /*   672 */ "%s/use-%u.XXXXXX\0"
1342b15cb3dSCy Schubert /*   689 */ "true\0"
1352b15cb3dSCy Schubert /*   694 */ "<%s type=%s>\0"
1362b15cb3dSCy Schubert /*   707 */ "VERSION\0"
1372b15cb3dSCy Schubert /*   715 */ "#x%02X;\0"
1382b15cb3dSCy Schubert /*   723 */ "OPT_ARG_NEEDED=YES\0"
1392b15cb3dSCy Schubert /*   742 */ "'\\''\0"
1402b15cb3dSCy Schubert /*   747 */ " '%s'\0"
1412b15cb3dSCy Schubert /*   753 */ "\n"
1422b15cb3dSCy Schubert             "OPTION_CT=0\n\0"
1432b15cb3dSCy Schubert /*   767 */ "set --\0"
1442b15cb3dSCy Schubert /*   774 */ "            ;;\n\n\0"
1452b15cb3dSCy Schubert /*   791 */ "        '%c' )\n\0"
1462b15cb3dSCy Schubert /*   807 */ "        '%s' )\n\0"
1472b15cb3dSCy Schubert /*   823 */ "        '%s' | \\\n\0"
1482b15cb3dSCy Schubert /*   841 */ "TMPDIR\0"
1492b15cb3dSCy Schubert /*   848 */ "/tmp\0"
1502b15cb3dSCy Schubert /*   853 */ "%1$s %2$s ; rm -f %2$s\0"
1512b15cb3dSCy Schubert /*   876 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
1522b15cb3dSCy Schubert /*   908 */ "#  From the %s option definitions\n"
1532b15cb3dSCy Schubert             "#\n\0"
1542b15cb3dSCy Schubert /*   945 */ "echo 'Warning:  Cannot load options files' >&2\0"
1552b15cb3dSCy Schubert /*   992 */ "echo 'Warning:  Cannot save options files' >&2\0"
1562b15cb3dSCy Schubert /*  1039 */ "echo 'Warning:  Cannot suppress the loading of options files' >&2\0"
1572b15cb3dSCy Schubert /*  1105 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
1582b15cb3dSCy Schubert /*  1140 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
1592b15cb3dSCy Schubert /*  1171 */ "%1$s_%2$s_MODE='%3$s'\n"
1602b15cb3dSCy Schubert             "export %1$s_%2$s_MODE\n\0"
1612b15cb3dSCy Schubert /*  1216 */ "%1$s_%2$s='%3$s'\n"
1622b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
1632b15cb3dSCy Schubert /*  1251 */ "%1$s_%2$s_CT=%3$d\n"
1642b15cb3dSCy Schubert             "export %1$s_%2$s_CT\n\0"
1652b15cb3dSCy Schubert /*  1290 */ "OPTION_CT=%d\n"
1662b15cb3dSCy Schubert             "export OPTION_CT\n\0"
1672b15cb3dSCy Schubert /*  1321 */ "%1$s_%2$s=%3$s\n"
1682b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
1692b15cb3dSCy Schubert /*  1354 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
1702b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
1712b15cb3dSCy Schubert /*  1396 */ "        case \"${OPT_CODE}\" in\n\0"
1722b15cb3dSCy Schubert /*  1427 */ "            if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
1732b15cb3dSCy Schubert             "                echo 'Error:  more than %3$d %2$s options'\n"
1742b15cb3dSCy Schubert             "                echo \"$%1$s_USAGE_TEXT\"\n"
1752b15cb3dSCy Schubert             "                exit 1\n"
1762b15cb3dSCy Schubert             "            fi >&2\n\0"
1772b15cb3dSCy Schubert /*  1618 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
1782b15cb3dSCy Schubert             "    echo %1$s_%2$s has not been set\n"
1792b15cb3dSCy Schubert             "    exit 1\n"
1802b15cb3dSCy Schubert             "} 1>&2\n\0"
1812b15cb3dSCy Schubert /*  1710 */ "test -n \"$%1$s_%2$s\" || {\n"
1822b15cb3dSCy Schubert             "    echo %1$s_%2$s has not been set\n"
1832b15cb3dSCy Schubert             "    exit 1\n"
1842b15cb3dSCy Schubert             "} 1>&2\n\0"
1852b15cb3dSCy Schubert /*  1791 */ "            echo \"$%s_%s_TEXT\"\n"
1862b15cb3dSCy Schubert             "            exit 0\n\0"
1872b15cb3dSCy Schubert /*  1842 */ "\n"
1882b15cb3dSCy Schubert             "# # # # # # # # # #\n"
1892b15cb3dSCy Schubert             "#\n"
1902b15cb3dSCy Schubert             "#  END OF AUTOMATED OPTION PROCESSING\n"
1912b15cb3dSCy Schubert             "#\n"
1922b15cb3dSCy Schubert             "# # # # # # # # # # -- do not modify this marker --\n\0"
1932b15cb3dSCy Schubert /*  1958 */ "    if [ -n \"${OPT_ARG_VAL}\" ]\n"
1942b15cb3dSCy Schubert             "    then\n"
1952b15cb3dSCy Schubert             "        eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
1962b15cb3dSCy Schubert             "        export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
1972b15cb3dSCy Schubert             "    fi\n"
1982b15cb3dSCy Schubert             "done\n"
1992b15cb3dSCy Schubert             "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
2002b15cb3dSCy Schubert             "OPERAND_COUNT=$#\n"
2012b15cb3dSCy Schubert             "unset OPT_PROCESS || :\n"
2022b15cb3dSCy Schubert             "unset OPT_ELEMENT || :\n"
2032b15cb3dSCy Schubert             "unset OPT_ARG     || :\n"
2042b15cb3dSCy Schubert             "unset OPT_ARG_NEEDED || :\n"
2052b15cb3dSCy Schubert             "unset OPT_NAME    || :\n"
2062b15cb3dSCy Schubert             "unset OPT_CODE    || :\n"
2072b15cb3dSCy Schubert             "unset OPT_ARG_VAL || :\n\0"
2082b15cb3dSCy Schubert /*  2337 */ "        OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
2092b15cb3dSCy Schubert             "        shift\n"
2102b15cb3dSCy Schubert             "        OPT_ARG=$1\n"
2112b15cb3dSCy Schubert             "        case \"${OPT_CODE}\" in *=* )\n"
2122b15cb3dSCy Schubert             "            OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
2132b15cb3dSCy Schubert             "            OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
2142b15cb3dSCy Schubert /*  2588 */ "        OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
2152b15cb3dSCy Schubert             "        OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
2162b15cb3dSCy Schubert /*  2705 */ "\n"
2172b15cb3dSCy Schubert             "ARG_COUNT=$#\n"
2182b15cb3dSCy Schubert             "OPT_PROCESS=true\n"
2192b15cb3dSCy Schubert             "OPT_ARG=$1\n"
2202b15cb3dSCy Schubert             "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
2212b15cb3dSCy Schubert             "do\n"
2222b15cb3dSCy Schubert             "    OPT_ELEMENT=''\n"
2232b15cb3dSCy Schubert             "    OPT_ARG_VAL=''\n\n"
2242b15cb3dSCy Schubert             "    case \"${OPT_ARG}\" in\n"
2252b15cb3dSCy Schubert             "    -- )\n"
2262b15cb3dSCy Schubert             "        OPT_PROCESS=false\n"
2272b15cb3dSCy Schubert             "        shift\n"
2282b15cb3dSCy Schubert             "        ;;\n\0"
2292b15cb3dSCy Schubert /*  2912 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
2302b15cb3dSCy Schubert             "        NO )\n"
2312b15cb3dSCy Schubert             "            OPT_ARG_VAL=''\n"
2322b15cb3dSCy Schubert             "            ;;\n"
2332b15cb3dSCy Schubert             "        YES )\n"
2342b15cb3dSCy Schubert             "            if [ -z \"${OPT_ARG_VAL}\" ]\n"
2352b15cb3dSCy Schubert             "            then\n"
2362b15cb3dSCy Schubert             "                if [ $# -eq 0 ]\n"
2372b15cb3dSCy Schubert             "                then\n"
2382b15cb3dSCy Schubert             "                    echo No argument provided for ${OPT_NAME} option\n"
2392b15cb3dSCy Schubert             "                    echo \"$%s_USAGE_TEXT\"\n"
2402b15cb3dSCy Schubert             "                    exit 1\n"
2412b15cb3dSCy Schubert             "                fi >&2\n"
2422b15cb3dSCy Schubert             "                OPT_ARG_VAL=${OPT_ARG}\n"
2432b15cb3dSCy Schubert             "                shift\n"
2442b15cb3dSCy Schubert             "                OPT_ARG=$1\n"
2452b15cb3dSCy Schubert             "            fi\n"
2462b15cb3dSCy Schubert             "            ;;\n"
2472b15cb3dSCy Schubert             "        OK )\n"
2482b15cb3dSCy Schubert             "            if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
2492b15cb3dSCy Schubert             "            then\n"
2502b15cb3dSCy Schubert             "                case \"${OPT_ARG}\" in -* ) ;; * )\n"
2512b15cb3dSCy Schubert             "                    OPT_ARG_VAL=${OPT_ARG}\n"
2522b15cb3dSCy Schubert             "                    shift\n"
2532b15cb3dSCy Schubert             "                    OPT_ARG=$1 ;; esac\n"
2542b15cb3dSCy Schubert             "            fi\n"
2552b15cb3dSCy Schubert             "            ;;\n"
2562b15cb3dSCy Schubert             "        esac\n\0"
2572b15cb3dSCy Schubert /*  3691 */ "            %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
2582b15cb3dSCy Schubert             "            OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
2592b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
2602b15cb3dSCy Schubert /*  3815 */ "\n"
2612b15cb3dSCy Schubert             "if test -z \"${%1$s_%2$s}\"\n"
2622b15cb3dSCy Schubert             "then\n"
2632b15cb3dSCy Schubert             "  %1$s_%2$s_CT=0\n"
2642b15cb3dSCy Schubert             "  export %1$s_%2$s_CT\n"
2652b15cb3dSCy Schubert             "else\n"
2662b15cb3dSCy Schubert             "  %1$s_%2$s_CT=1\n"
2672b15cb3dSCy Schubert             "  %1$s_%2$s_1=${%1$s_%2$s}\n"
2682b15cb3dSCy Schubert             "  export %1$s_%2$s_CT %1$s_%2$s_1\n"
2692b15cb3dSCy Schubert             "fi\n\0"
2702b15cb3dSCy Schubert /*  3973 */ "    * )\n"
2712b15cb3dSCy Schubert             "         OPT_PROCESS=false\n"
2722b15cb3dSCy Schubert             "         ;;\n"
2732b15cb3dSCy Schubert             "    esac\n\0"
2742b15cb3dSCy Schubert /*  4030 */ "            %1$s_%2$s_CT=0\n"
2752b15cb3dSCy Schubert             "            OPT_ELEMENT=''\n"
2762b15cb3dSCy Schubert             "            %1$s_%2$s='%3$s'\n"
2772b15cb3dSCy Schubert             "            export %1$s_%2$s\n"
2782b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
2792b15cb3dSCy Schubert /*  4171 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
2802b15cb3dSCy Schubert             "                echo 'Error:  duplicate %2$s option'\n"
2812b15cb3dSCy Schubert             "                echo \"$%1$s_USAGE_TEXT\"\n"
2822b15cb3dSCy Schubert             "                exit 1\n"
2832b15cb3dSCy Schubert             "            fi >&2\n"
2842b15cb3dSCy Schubert             "            %1$s_%2$s_set=true\n"
2852b15cb3dSCy Schubert             "            %1$s_%2$s='%3$s'\n"
2862b15cb3dSCy Schubert             "            export %1$s_%2$s\n"
2872b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
2882b15cb3dSCy Schubert /*  4488 */ "\n"
2892b15cb3dSCy Schubert             "ARG_COUNT=$#\n"
2902b15cb3dSCy Schubert             "OPT_ARG=$1\n"
2912b15cb3dSCy Schubert             "while [ $# -gt 0 ]\n"
2922b15cb3dSCy Schubert             "do\n"
2932b15cb3dSCy Schubert             "    OPT_ELEMENT=''\n"
2942b15cb3dSCy Schubert             "    OPT_ARG_VAL=''\n"
2952b15cb3dSCy Schubert             "    OPT_ARG=${1}\n\0"
2962b15cb3dSCy Schubert /*  4591 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
2972b15cb3dSCy Schubert             "        NO )\n"
2982b15cb3dSCy Schubert             "            if [ -n \"${OPT_ARG}\" ]\n"
2992b15cb3dSCy Schubert             "            then\n"
3002b15cb3dSCy Schubert             "                OPT_ARG=-${OPT_ARG}\n"
3012b15cb3dSCy Schubert             "            else\n"
3022b15cb3dSCy Schubert             "                shift\n"
3032b15cb3dSCy Schubert             "                OPT_ARG=$1\n"
3042b15cb3dSCy Schubert             "            fi\n"
3052b15cb3dSCy Schubert             "            ;;\n"
3062b15cb3dSCy Schubert             "        YES )\n"
3072b15cb3dSCy Schubert             "            if [ -n \"${OPT_ARG}\" ]\n"
3082b15cb3dSCy Schubert             "            then\n"
3092b15cb3dSCy Schubert             "                OPT_ARG_VAL=${OPT_ARG}\n"
3102b15cb3dSCy Schubert             "            else\n"
3112b15cb3dSCy Schubert             "                if [ $# -eq 0 ]\n"
3122b15cb3dSCy Schubert             "                then\n"
3132b15cb3dSCy Schubert             "                    echo No argument provided for ${OPT_NAME} option\n"
3142b15cb3dSCy Schubert             "                    echo \"$%s_USAGE_TEXT\"\n"
3152b15cb3dSCy Schubert             "                    exit 1\n"
3162b15cb3dSCy Schubert             "                fi >&2\n"
3172b15cb3dSCy Schubert             "                shift\n"
3182b15cb3dSCy Schubert             "                OPT_ARG_VAL=$1\n"
3192b15cb3dSCy Schubert             "            fi\n"
3202b15cb3dSCy Schubert             "            shift\n"
3212b15cb3dSCy Schubert             "            OPT_ARG=$1\n"
3222b15cb3dSCy Schubert             "            ;;\n"
3232b15cb3dSCy Schubert             "        OK )\n"
3242b15cb3dSCy Schubert             "            if [ -n \"${OPT_ARG}\" ]\n"
3252b15cb3dSCy Schubert             "            then\n"
3262b15cb3dSCy Schubert             "                OPT_ARG_VAL=${OPT_ARG}\n"
3272b15cb3dSCy Schubert             "                shift\n"
3282b15cb3dSCy Schubert             "                OPT_ARG=$1\n"
3292b15cb3dSCy Schubert             "            else\n"
3302b15cb3dSCy Schubert             "                shift\n"
3312b15cb3dSCy Schubert             "                if [ $# -gt 0 ]\n"
3322b15cb3dSCy Schubert             "                then\n"
3332b15cb3dSCy Schubert             "                    case \"$1\" in -* ) ;; * )\n"
3342b15cb3dSCy Schubert             "                        OPT_ARG_VAL=$1\n"
3352b15cb3dSCy Schubert             "                        shift ;; esac\n"
3362b15cb3dSCy Schubert             "                    OPT_ARG=$1\n"
3372b15cb3dSCy Schubert             "                fi\n"
3382b15cb3dSCy Schubert             "            fi\n"
3392b15cb3dSCy Schubert             "            ;;\n"
3402b15cb3dSCy Schubert             "        esac\n\0"
3412b15cb3dSCy Schubert /*  5745 */ "            echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
3422b15cb3dSCy Schubert             "            exit 0\n\0"
3432b15cb3dSCy Schubert /*  5819 */ "%s OF %s\n"
3442b15cb3dSCy Schubert             "#\n"
3452b15cb3dSCy Schubert             "#  From here to the next `-- do not modify this marker --',\n"
3462b15cb3dSCy Schubert             "#  the text has been generated %s\n\0"
3472b15cb3dSCy Schubert /*  5925 */ "            eval %1$s_%2$s${OPT_ELEMENT}=true\n"
3482b15cb3dSCy Schubert             "            export %1$s_%2$s${OPT_ELEMENT}\n\0"
3492b15cb3dSCy Schubert /*  6015 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
3502b15cb3dSCy Schubert             "                echo 'Error:  duplicate %2$s option'\n"
3512b15cb3dSCy Schubert             "                echo \"$%1$s_USAGE_TEXT\"\n"
3522b15cb3dSCy Schubert             "                exit 1\n"
3532b15cb3dSCy Schubert             "            fi >&2\n"
3542b15cb3dSCy Schubert             "            %1$s_%2$s_set=true\n"
3552b15cb3dSCy Schubert             "            OPT_NAME='%2$s'\n\0"
3562b15cb3dSCy Schubert /*  6274 */ "\n"
3572b15cb3dSCy Schubert             "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
3582b15cb3dSCy Schubert             "%1$s_%2$s_set=false\n"
3592b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
3602b15cb3dSCy Schubert /*  6343 */ "\n"
3612b15cb3dSCy Schubert             "%1$s_%2$s=${%1$s_%2$s}\n"
3622b15cb3dSCy Schubert             "%1$s_%2$s_set=false\n"
3632b15cb3dSCy Schubert             "export %1$s_%2$s\n\0"
3642b15cb3dSCy Schubert /*  6405 */ "# # # # # # # # # # -- do not modify this marker --\n"
3652b15cb3dSCy Schubert             "#\n"
3662b15cb3dSCy Schubert             "#  DO NOT EDIT THIS SECTION\n\0"
3672b15cb3dSCy Schubert /*  6488 */ "        * )\n"
3682b15cb3dSCy Schubert             "            echo Unknown %s: \"${OPT_CODE}\" >&2\n"
3692b15cb3dSCy Schubert             "            echo \"$%s_USAGE_TEXT\" >&2\n"
3702b15cb3dSCy Schubert             "            exit 1\n"
3712b15cb3dSCy Schubert             "            ;;\n"
3722b15cb3dSCy Schubert             "        esac\n";
3732b15cb3dSCy Schubert 
3742b15cb3dSCy Schubert /* end of ao-strs.c */
375